<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Mypage
{
    var $title;
    var $pagename;

    var $c_mypage;
    var $auth;

    var $status;
    var $from;

    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Customer_Mypageが実行されました", "Customer_Mypage#execute");


        $this->from = 'mypage';

        //認証チェック
        if (!$this -> auth -> checkAuth()) return 'autherr';

        $this->status = $this -> c_mypage -> checkStatus($this -> auth -> getAuthData("membercd"));
        return 'success';
    }

    function getStatus()
    {
        return $this->status;
    }
}
?>
